OK
AJAX error!

Les forumsGrammalecte[Firefox] [Linux] Formateur de texte et dictionnaires

[Firefox] [Linux] Formateur de texte et dictionnaires

Bon, l’emmerdeur (moi) est de retour…

Avec la dernière version 0.5.5, la fenêtre du "formateur de texte" contient de nouveau un "ascenseur" ;
c’est à dire que tout ne s’affiche plus en une fois.
J’ai essayé sur deux versions différentes : un Linux et un Windows XP : sur la version Linux, on voit à peine le bouton d’activation, sur Windows XP, on ne le voit pas du tout.
C’est peut-être aussi une question d’écran et de définition, car le XP est vieux et a une faible résolution (1280x1024).
Il est évidemment impossible de s'adapter à toute les définitions, mais serait-il possible que dans le cas où un ascenseur est présent, de positionner la fenêtre (la zone visible) tout en bas, de sorte que les boutons soient visibles. Je pense que les utilisateurs vont configurer une fois pour toute (enfin, ils ne vont pas la changer à tous les coups), alors que le bouton exécution sera utilisé à coup sûr.
Bien entendu, il n’y a aucune urgence et ce n’est qu’un avis…


Pour info, avec un vieux PC, le temps que prend le module grammatical pour s’exécuter peut être assez long (~ 1 min.) pour une page équivalent A4… (~ 30 sec. pour ce message !) ; c’est presque instantané avec un PC relativement récent.
le 23 mai 2016 à 09:48
Mea culpa. Fausse manip de ma part. J’ai commencé un truc que je n’ai pas terminé, je ne sais plus pourquoi. Ça a fait de la merde. Corrigé.

Pour info, avec un vieux PC, le temps que prend le module grammatical pour s’exécuter peut être assez long (~ 1 min.) pour une page équivalent A4… (~ 30 sec. pour ce message !) ; c’est presque instantané avec un PC relativement récent.


Vieux à quel point ? Puce ? Mémoire ?
le 23 mai 2016 à 10:52
J'ai actuellement beaucoup de peine à contacter ce site (timeouts) depuis hier midi...

Vieux à quel point ? Puce ? Mémoire ?



Celeron 2.53G 1GB RAM + Windows XP professional 2002.
Mais ce PC va bientôt être remplacé…

Voir message suivant pour problème plus embêtant…
le 24 mai 2016 à 08:52
Préambule : la version 0.5.5 a bien fonctionné sur les PC où elle était installée.
Depuis hier, 3 PC sur 4, n’ont plus retrouvé de dictionnaire orthographique sous Grammalecte (les dictionnaires Firefox fonctionnent toujours) : # Erreur : dictionnaire orthographique introuvable. (1)

Ce matin, cela ne fonctionne toujours pas sur 2 des PC (1x Linux et 1x "vieux PC") ; par contre mon PC de bureau lui trouve le dictionnaire… avec un certain délai : il commence par m’afficher le message (1), puis propose des correctifs.

Actuellement je suis retourné vers la version 0.5.4 qui ne pose pas de problème.
Remarque : sur le PC Linux, j’ai fait quelques basculements version 0.5.4, tout enlever, 0.5.5, et là c’est vraiment avec la 0.5.5 que j’ai un problème. Basculer de Classic à toute variante, redémarrer Firefox, redémarrer le PC ne changent rien.
Ces fameux dictionnaires sont-ils locaux ou sont-ils accédé en "remote" ; n’est pas un problème de temps de réponse ?
le 24 mai 2016 à 09:03
Il n’y a pas d’accès distant dans Grammalecte. Tout est local.

Le bug des dictionnaires sur Linux a été corrigé pour la prochaine v0.5.6. Ça vient du code. Et aussi des distros qui ont probablement viré ou renommé le dictionnaire normalement inclus par défaut dans Firefox, ce qui empêche Grammalecte de se rabattre sur lui comme dictionnaire de secours.

En revanche, le délai d’affichage des suggestions est normal, attendu que le correcteur ne peut faire appel à Hunspell depuis son processus d’exécution (Firefox l’interdit). Donc les suggestions orthographiques sont demandées et générées au moment où vous cliquez sur une erreur. Comme Hunspell peut être très lent pour fournir des suggestions, il y a parfois un délai d’affichage.
le 24 mai 2016 à 10:20
Merci pour cette réponse, patience donc ;-)
le 24 mai 2016 à 10:41

Notification par e-mail    0